cURL
curl --request POST \ --url https://api.example.com/api/v1/auth/roles \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "description": "<string>", "name": "<string>", "scopes": [ { "action": "<string>", "resource": "<string>" } ] } '
{ "created_at": "<string>", "description": "<string>", "name": "<string>", "scopes": [ { "action": "<string>", "resource": "<string>" } ], "updated_at": "<string>" }
Creates a new role in etcd with specified permission scopes
Documentation IndexFetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Type "Bearer" followed by a space and JWT token.
Role definition
Show child attributes
Created